App\Entity\User:
    attributes:
        id:
            groups: ['get:light_users' ,'get:full_users', 'get:light_articles', 'get:light_api_client', 'get:full_api_client', 'get:light_tickets']
        uuid:
            groups: ['get:light_users' ,'get:full_users', 'get:light_articles', 'get:light_api_client', 'get:full_api_client', 'get:light_tickets']
        email:
            groups: ['get:light_users' ,'get:full_users', 'get:light_news', 'get:light_tickets']
        roles:
            groups: ['get:light_users' ,'get:full_users',]
        phone:
            groups: ['get:light_users' ,'get:full_users']
        address:
            groups: ['get:light_users' ,'get:full_users']
        city:
            groups: ['get:light_users' ,'get:full_users']
        zipcode:
            groups: ['get:light_users' ,'get:full_users']
        firstname:
            groups: ['get:light_users' ,'get:full_users', 'get:light_articles', 'get:light_api_client', 'get:full_api_client', 'get:light_tickets']
        lastname:
            groups: ['get:light_users' ,'get:full_users', 'get:light_articles', 'get:light_api_client', 'get:full_api_client', 'get:light_tickets']
        enable:
            groups: ['get:light_users' ,'get:full_users', 'get:light_articles']
        confirmed:
            groups: ['get:light_users' ,'get:full_users']
        client:
            groups: ['get:light_users' ,'get:full_users']
        apiClients:
            groups: ['get:full_users']

App\Entity\News:
    attributes:
        id:
            groups: ['get:light_news']
        uuid:
            groups: ['get:light_news']
        title:
            groups: ['get:light_news']
        slug:
            groups: ['get:light_news']
        introduction:
            groups: ['get:light_news']
        content:
            groups: ['get:light_news']
        startPublication:
            groups: ['get:light_news']
        endPublication:
            groups: ['get:light_news']
        createdAt:
            groups: ['get:light_news']
        updatedAt:
            groups: ['get:light_news']
        deletedAt:
            groups: ['get:light_news']
        author:
            groups: ['get:light_news']

App\Entity\Article:
    attributes:
        id:
            groups: ['get:light_articles']
        uuid:
            groups: ['get:light_articles']
        title:
            groups: ['get:light_articles']
        slug:
            groups: ['get:light_articles']
        introduction:
            groups: ['get:light_articles']
        content:
            groups: ['get:light_articles']
        coverImage:
            groups: ['get:light_articles']
        createdAt:
            groups: ['get:light_articles']
        updatedAt:
            groups: ['get:light_articles']
        deletedAt:
            groups: ['get:light_articles']
        author:
            groups: ['get:light_articles']

App\Entity\ContactRequest:
    attributes:
        id:
            groups: ['get:contact']
        uuid:
            groups: ['get:contact']
        firstname:
            groups: ['get:contact']
        lastname:
            groups: ['get:contact']
        email:
            groups: ['get:contact']
        phone:
            groups: ['get:contact']
        company:
            groups: ['get:contact']
        city:
            groups: ['get:contact']
        createdAt:
            groups: ['get:contact']
        activity:
            groups: ['get:contact']
        job:
            groups: ['get:contact']
        structureType:
            groups: ['get:contact']
        crewMembers:
            groups: ['get:contact']
        officeMembers:
            groups: ['get:contact']
        partnerFirstname:
            groups: ['get:contact']
        partnerLastname:
            groups: ['get:contact']
        partnerEmail:
            groups: ['get:contact']
        partnerPhone:
            groups: ['get:contact']
        agrisCode:
            groups: ['get:contact']


App\Entity\Client:
    attributes:
        id:
            groups: ['get:light_client', 'get:light_user']
        uuid:
            groups: ['get:light_client', 'get:light_user']
        name:
            groups: ['get:light_client', 'get:light_user']
        updatedAt:
            groups: ['get:light_client']
        createdAt:
            groups: ['get:light_client']


App\Entity\ApiClient:
    attributes:
        id:
            groups: ['get:light_api_client', 'get:full_api_client']
        uuid:
            groups: ['get:light_api_client', 'get:full_api_client', 'get:full_users']
        name:
            groups: ['get:light_api_client', 'get:full_api_client']
        apiKey:
            groups: ['get:full_api_client']
        active:
            groups: ['get:light_api_client', 'get:full_api_client']
        createdAt:
            groups: ['get:light_api_client', 'get:full_api_client']
        updatedAt:
            groups: ['get:light_api_client', 'get:full_api_client']
        deletedAt:
            groups: ['get:light_api_client', 'get:full_api_client']
        user:
            groups: ['get:light_api_client', 'get:full_api_client']
        expirationDate:
            groups: ['get:light_api_client', 'get:full_api_client']


App\Entity\Ticket:
    attributes:
        id:
            groups: ['get:light_tickets']
        uuid:
            groups: ['get:light_tickets']
        priority:
            groups: ['get:light_tickets']
        application:
            groups: ['get:light_tickets']
        theme:
            groups: ['get:light_tickets']
        title:
            groups: ['get:light_tickets']
        description:
            groups: ['get:light_tickets']
        solution:
            groups: ['get:light_tickets']
        clientDescription:
            groups: ['get:light_tickets']
        clientSolution:
            groups: ['get:light_tickets']
        patch:
            groups: ['get:light_tickets']
        ticketNumber:
            groups: ['get:light_tickets']
        domaine:
            groups: ['get:light_tickets']
        createdAt:
            groups: ['get:light_tickets']
        updatedAt:
            groups: ['get:light_tickets']
        clientInterlocutor:
            groups: ['get:light_tickets']
        ticketSteps:
            groups: ['get:light_tickets']

App\Entity\TicketStep:
    attributes:
        id:
           groups: ['get:light_tickets']
        uuid:
            groups: ['get:light_tickets']
        status:
            groups: ['get:light_tickets']
        user:
            groups: ['get:light_tickets']
        createdAt:
            groups: ['get:light_tickets']
